[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RandomForestClassCounter< DataSource, CountArray > Class Template Reference |

`#include <vigra/random_forest/rf_split.hxx>`

## Detailed Description

### template<class DataSource, class CountArray>
class vigra::RandomForestClassCounter< DataSource, CountArray >

makes a Class Histogram given indices in a labels_ array usage: MultiArrayView<2, T2, C2> labels = makeSomeLabels() ArrayVector<int> hist(numberOfLabels(labels), 0); RandomForestClassCounter<T2, C2, ArrayVector> counter(labels, hist);

Container<int> indices = getSomeIndices() std::for_each(indices, counter);

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0